#
# spec file for package perl-Lingua-Preferred
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define modname Lingua-Preferred

Name:           perl-%{modname}
Version:        0.2.4
Release:        4.1
Summary:        Perl extension to choose a language
Requires:       perl-Log-TraceMessages
BuildRequires:  perl perl-Log-TraceMessages
BuildRequires:  perl-macros
License:        GPL/Artistic
Group:          Development/Libraries/Perl
Source:         %{modname}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{perl_requires}

%description
Often human-readable information is available in more than one language. Which
should you use? This module provides a way for the user to specify possible
languages in order of preference, and then to pick the best language of those
available. Different 'dialects' given by the 'territory' part of the language
specifier (such as en, en_GB, and en_US) are also supported.

Authors:
--------
    Ed Avis <ed@membled.com>

%prep
%setup -q -n %{modname}-%{version}

%build
perl Makefile.PL OPTIMIZE="$RPM_OPT_FLAGS -Wall"
make
make test

%install
rm -rf %{buildroot}
make DESTDIR=$RPM_BUILD_ROOT install_vendor
%perl_process_packlist

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc README Changes
%doc %{_mandir}/man?/*
%{perl_vendorlib}/Lingua
%{perl_vendorlib}/auto/Lingua
%{perl_vendorarch}/auto/Lingua

%changelog
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Mon Nov 29 2010 coolo@novell.com
- called spec2changelog
* Tue Jun 20 2006 jfunk@funktronics.ca
- Build under buildservice
* Fri Nov 11 2005 jfunk@funktronics.ca
- Build for SL10
* Thu May 12 2005 jfunk@funktronics.ca
- Build for SL93
* Fri Nov 19 2004 jfunk@funktronics.ca
- Build for SL92
* Tue May 11 2004 jfunk@funktronics.ca
- Build for SL91
* Sun Feb 15 2004 jfunk@funktronics.ca
- Update
* Mon Nov  3 2003 jfunk@funktronics.ca
- Build for SUSE 9.0
* Fri May 30 2003 jfunk@funktronics.ca
- Update
- Build for SuSE 8.2
* Wed Dec 11 2002 jfunk@funktronics.ca
- Update to 0.2.1
- Build for SuSE 8.1
* Thu May 30 2002 jfunk@funktronics.ca
- Initial build with new spec layout
